export declare function iteratorSome<T>(iterator: IterableIterator<T>, callbackfn: (value: T, index: number) => boolean): boolean;
export declare function iteratorEvery<T>(iterator: IterableIterator<T>, callbackfn: (value: T, index: number) => boolean): boolean;
export declare function iteratorFind<T>(iterator: IterableIterator<T>, callbackfn: (value: T, index: number) => unknown): T | undefined;
export declare function iteratorFindIndex<T>(iterator: IterableIterator<T>, callbackfn: (value: T, index: number) => boolean): number;
export declare function iteratorFilterToArray<T>(iterator: IterableIterator<T>, callbackfn: (value: T, index: number) => unknown): T[];
export declare function iteratorReduce<T, U>(iterator: IterableIterator<T>, callbackfn: (previousValue: U, value: T, index: number) => U, initialValue: U): U;
export declare function iteratorSliceToArray<T>(iterator: IterableIterator<T>, start?: number, end?: number): T[];
declare const _default: {
    iteratorSome: typeof iteratorSome;
    iteratorEvery: typeof iteratorEvery;
    iteratorFind: typeof iteratorFind;
    iteratorFindIndex: typeof iteratorFindIndex;
    iteratorFilterToArray: typeof iteratorFilterToArray;
    iteratorReduce: typeof iteratorReduce;
    iteratorSliceToArray: typeof iteratorSliceToArray;
};
export default _default;
